apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: {{ .Release.Name }}-access
spec:
  podSelector:
    matchLabels:
      project: {{ .Release.Name }}
  policyTypes:
  - Ingress
  ingress:
    - from:
      - podSelector:
          matchLabels:
            app.kubernetes.io/component: controller # ingress